View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012309CMake(No Category)public2011-06-28 13:512016-06-10 14:31
ReporterJérôme Gardou 
Assigned ToKitware Robot 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionmoved 
PlatformOSOS Version
Product Version 
Target VersionCMake 2.8.12Fixed in Version 
Summary0012309: Support raw replacements in IMPLICIT_DEPENDS_INCLUDE_TRANSFORM
DescriptionThe IMPLICIT_DEPENDS_INCLUDE_TRANSFORM is very practical, but is currently limited to macro. Perforaming quick and dirty replacements should be allowed for maximum flexibility.

I see 2 use cases for this :

1) Adding a custom command to generate the header with IMPLICIT_DEPENDS, and use OBJECT_DEPENDS to make object files dependant on it. Setting IMPLICIT_DEPENDS_INCLUDE_TRANSFORM to "header.h=" would allow to skip files on which the objects already depend on. With this technique, you can drastically reduce dependency checking performance.

Or some #define __HEADER__ "header.h" and then #include __HEADER__

Ps : I hope this patch will apply cleanly this time. If not, just let me know.
Steps To ReproduceUse test project attached, try to generate (it will obviously fail) and then look at depends.internal in CMakeFiles/test.dir

Try commenting/uncommenting the two lines of test1.c to see the results.
Additional InformationI noticed that if result_test.h doesn't contain any #include statement, it won't be added to the dependency list. Not sure if it's a feature or a bug, but I'd consider it's the latter.
TagsNo tags attached.
Attached Filespatch file icon 0001-Implements-raw-replacement-for-IMPLICIT_DEPENDS_INCL.patch [^] (46,334 bytes) 2011-06-28 13:51 [Show Content]
zip file icon headers_test.zip [^] (578 bytes) 2011-06-28 13:51
txt file icon patch.txt [^] (3,211 bytes) 2011-08-28 11:08 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0027060)
Jérôme Gardou (reporter)
2011-07-21 13:10

Hi, just pinging this bug. What do you think of it?

Regards.
Jérôme.
(0027166)
Brad King (manager)
2011-08-03 16:03

The patch appears whitespace (newline) mangled so I cannot see the net change. Can you please recreate it?
(0027278)
Jérôme Gardou (reporter)
2011-08-28 11:09

OK, I'm the worst patch submitter ever.
Here is a cleaned up one.
(0027544)
Amine Khaldi (reporter)
2011-10-06 15:16

Hi,
We (ReactOS) use this patch in our PCH support, so we would appreciate reviewing/committing it. Thanks in advance.
(0027547)
Brad King (manager)
2011-10-06 16:25

Sorry I haven't had time to review this patch. Prior to 0012309:0027278 it was not easy to see the change. I'm still not fully clear on what it does.

Please update the patch to include documentation of the feature in the existing documentation of the target property.
(0030478)
Brad King (manager)
2012-08-13 10:36

Sending issues I'm not actively working on to the backlog to await someone with time for them.

If an issue you care about is sent to the backlog when you feel it should have been addressed in a different manner, please bring it up on the CMake mailing list for discussion. Sign up for the mailing list here, if you're not already on it:

 http://www.cmake.org/mailman/listinfo/cmake [^]

It's easy to re-activate a bug here if you can find a CMake developer or contributor who has the bandwidth to take it on.
(0031264)
David Cole (manager)
2012-10-18 11:17

These bugs were deferred from target version 2.8.10 to 2.8.11 based on the responses to this email thread on the CMake developer's mailing list:

  http://public.kitware.com/pipermail/cmake-developers/2012-October/005434.html [^]
(0041855)
Kitware Robot (administrator)
2016-06-10 14:28

Resolving issue as `moved`.

This issue tracker is no longer used. Further discussion of this issue may take place in the current CMake Issues page linked in the banner at the top of this page.

- Issue History
Date Modified Username Field Change
2011-06-28 13:51 Jérôme Gardou New Issue
2011-06-28 13:51 Jérôme Gardou File Added: 0001-Implements-raw-replacement-for-IMPLICIT_DEPENDS_INCL.patch
2011-06-28 13:51 Jérôme Gardou File Added: headers_test.zip
2011-07-21 13:10 Jérôme Gardou Note Added: 0027060
2011-08-03 16:03 Brad King Note Added: 0027166
2011-08-03 16:03 Brad King Assigned To => Brad King
2011-08-03 16:03 Brad King Status new => assigned
2011-08-28 11:08 Jérôme Gardou File Added: patch.txt
2011-08-28 11:09 Jérôme Gardou Note Added: 0027278
2011-10-06 15:16 Amine Khaldi Note Added: 0027544
2011-10-06 16:25 Brad King Note Added: 0027547
2012-08-13 10:36 Brad King Status assigned => backlog
2012-08-13 10:36 Brad King Note Added: 0030478
2012-08-20 11:52 David Cole Assigned To Brad King =>
2012-08-20 11:52 David Cole Status backlog => new
2012-08-20 11:52 David Cole Target Version => CMake 2.8.10
2012-10-18 11:16 David Cole Target Version CMake 2.8.10 => CMake 2.8.11
2012-10-18 11:17 David Cole Note Added: 0031264
2013-05-17 09:33 Robert Maynard Target Version CMake 2.8.11 => CMake 2.8.12
2016-06-10 14:28 Kitware Robot Note Added: 0041855
2016-06-10 14:28 Kitware Robot Status new => resolved
2016-06-10 14:28 Kitware Robot Resolution open => moved
2016-06-10 14:28 Kitware Robot Assigned To => Kitware Robot
2016-06-10 14:31 Kitware Robot Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker